Status: Closed Start date: 24 Nov 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Manual/documentation Estimated time: 0.77 hour

Target version: CoCoA-5.3.0 Spent time: 0.75 hour

Description

The manual entry for mod needs to be improved.

Ange recently reported that mod(a,p) = mod(b,p) did not work as she expected; the main point being that a and b has opposite

signs.

Make the manual clearer.

Related issues:

Related to CoCoALib - Design #1182: "mod" for BigInt Closed 04 May 2018

History

#1 - 24 Nov 2019 13:04 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Currently the manual and the implementation are incompatible.  The manual says that the remainder is always non-negative, but this is not true:

/**/ mod(-1,7);

-1

 

A very similar issue arose about a year ago in CoCoALib; it seems the CoCoA-5 manual was not checked/updated.

We should do this.

#2 - 24 Nov 2019 13:04 - John Abbott

- Related to Design #1182: "mod" for BigInt added

#3 - 24 Nov 2019 13:11 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

- % Done changed from 10 to 50

The solution to Ange's problem is to compute mod(a-b,p); this will be zero iff a and b are congruent modulo p.

Perhaps I should add this to the manual...??

28 Apr 2024 1/2



#4 - 09 Jan 2020 11:43 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 50 to 90

- Estimated time set to 0.77 h

I have updated the manual entry; I think it is clear now.

#5 - 13 Feb 2020 15:44 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
